// Core component styles
const coreStyles = {
    column: {
    },

    container: {
    },

    evenRows: {
    },

    filter: {
    },

    filterContainer: {
    },

    grid: {
    },

    headerCell: {
    },

    headerText: {
    },

    oddRows: {
    },

    row: {
    },

    rowSelected: {
    },

    viewport: {
        height: '100%',
    },
};

/**
* Helper method to get the styles for Icon component
* @param {Object} contextStyles - Context styles for Icon Component
*/
const getStyles = (contextStyles = {}) => {
    return {
        column: {
            ...coreStyles.column,
            ...contextStyles.column,
        },

        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        evenRows: {
            ...coreStyles.evenRows,
            ...contextStyles.evenRows,
        },

        filter: {
            ...coreStyles.filter,
            ...contextStyles.filter,
        },

        filterContainer: {
            ...coreStyles.filterContainer,
            ...contextStyles.filterContainer,
        },

        grid: {
            ...coreStyles.grid,
            ...contextStyles.grid,
        },

        headerCell: {
            ...coreStyles.headerCell,
            ...contextStyles.headerCell,
        },

        headerText: {
            ...coreStyles.headerText,
            ...contextStyles.headerText,
        },

        oddRows: {
            ...coreStyles.oddRows,
            ...contextStyles.oddRows,
        },

        row: {
            ...coreStyles.row,
            ...contextStyles.row,
        },

        rowSelected: {
            ...coreStyles.rowSelected,
            ...contextStyles.rowSelected,
        },

        viewport: {
            ...coreStyles.viewport,
            ...contextStyles.viewport,
        },
    };
};

export default getStyles;
