// Core component styles
const coreStyles = {
    container: {
        display: 'flex',
        flexFlow: 'row wrap',
        justifyContent: 'space-evenly',
    },

    launcher: {
    },

    launcherIcon: {
    },

    launcherText: {
    },
};

/**
 * Helper method to get the styles for the component
 * @param {Object} contextStyles - Context styles for the Component
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        launcher: {
            ...coreStyles.launcher,
            ...contextStyles.launcher,
        },

        launcherIcon: {
            ...coreStyles.launcherIcon,
            ...contextStyles.launcherIcon,
        },

        launcherText: {
            ...coreStyles.launcherText,
            ...contextStyles.launcherText,
        },
    };
};

export default getStyles;
